<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2023 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 *  If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize\Core\Html;

use _JchOptimizeVendor\Psr\Http\Message\UriInterface;

interface HtmlElementInterface
{
    public function attribute(string $name, string $value = '', string $delimiter = '"'): HtmlElementInterface;

    public function hasAttribute(string $name): bool;

    /**
     * @return array|string|UriInterface
     */
    public function attributeValue(string $name);

    public function remove($name): HtmlElementInterface;

    /**
     * @param HtmlElementInterface|string $child
     */
    public function addChild($child): HtmlElementInterface;

    public function addChildren(array $children): HtmlElementInterface;

    public function hasChildren(): bool;

    public function replaceChild(int $index, $child): HtmlElementInterface;

    public function render();
}
